petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESComputeObjective

Computes the objective.

### Synopsis

    PetscErrorCode SNESComputeObjective(SNES snes,Vec X,PetscReal *ob)

Collective on SNES Many br

### Input Parameter

| snes | - the SNES context Many br
| X | - the state vector Many br

### Output Parameter

ob -the objective value Many br

Many br

### Keywords

SNES, nonlinear, compute, objective

### See Also

SNESSetObjective(), SNESGetSolution()

Level:advanced
Location:src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages